using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TSManagementApp.ViewModels;

namespace TSManagementApp.Views
{
    /// <summary>
    /// Interakční logika pro VerifyTimeStampView.xaml
    /// </summary>
    public partial class VerifyTimeStampView : Window
    {
        private VerifyTimeStampViewModel _vmVerifyTs;
        public VerifyTimeStampView(Window owner)
        {
            _vmVerifyTs = new VerifyTimeStampViewModel(this);
            this.DataContext = _vmVerifyTs;
            this.Owner = owner;
            InitializeComponent();
        }

        public VerifyTimeStampView(Window owner, string timeStampFile)
        {
            _vmVerifyTs = new VerifyTimeStampViewModel(this, timeStampFile);
            this.DataContext = _vmVerifyTs;
            this.Owner = owner;
            InitializeComponent();
        }
    }
}
